package gov.va.med.esr.common.model.lookup;

import gov.va.med.fw.model.lookup.AbstractCode;
import gov.va.med.fw.model.lookup.AbstractNamedActiveLookup;


//Java Classes

//Library Classes

//Framework Classes

/**
* @author William May
* 
* TODO: Still need to insert Hibernate mappings
*/
public class SelfIdentifiedGenderIdentity extends AbstractNamedActiveLookup 
{

    /**
     * An instance of serialVersionUID
     */
    private static final long serialVersionUID = 461386510421411952L;
    public static final Code FEMALE = new Code("F");
    public static final Code MALE = new Code("M");
    public static final Code TRANS_MALE = new Code("TM");
    public static final Code TRANS_FEMALE = new Code("TF");
    public static final Code OTHER = new Code("O");
    public static final Code NO_ANSWER = new Code("N");
    
    
    public static class Code extends AbstractCode {
        /**
         * An instance of serialVersionUID
         */
        private static final long serialVersionUID = 641469652092111868L;
        private Code(String code) { super(code); }
        public static Code getByCode(String code) {
            return (Code) getCode(Code.class, code);
        }
    }   
    
    /**
     * Default constructor.
     */
    public SelfIdentifiedGenderIdentity()
    {
        super();
    }

}
